:root {
    --cor-primaria: #fff;
    --cor-secundaria: #23408A;
    --cor-terciaria: #FF6E00;
    /* --cor-terciaria: #ef8f29; */

    --fonte-primaria: 'ruda', sans-serif;  
    --cor-fonte-primaria: #fff;
    /* --cor-fonte-secundaria: #fff; */
}

*{
    margin: 0;
    padding: 0;
}

body{
    font-family: "Ruda", serif;
    font-weight: 600;
}

#form-section{
    display: flex;
    justify-content: center;
    padding: 5rem;
    width: 100%;
    background-image: url("img/bannerWG1.jpeg");
    background-size: cover;
    gap:2rem;
}

#main-text{
    display: flex;
    flex-direction: column;
    color: var(--cor-fonte-primaria);
    width: 40%;
    gap: 1.5rem;
}

#logo{
    width: 30%;
}

#veiculosform{
    width: 70%;
}

#main-text h2{
    font-weight: 700;
}

.form-container {
    width: 450px;
    background-color: #fff;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 20px 30px;
  }
  
  .title {
    padding: 1rem;
    text-align: center;
    
    font-size: 24px;
    font-weight: 800;
    color: var(--cor-secundaria);
  }
  
  .form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 18px;
    margin-bottom: 15px;
  }
  
  .input {
    border-radius: 20px;
    background-color: #F6F6F6;
    border: 0;
    outline: 0 !important;
    box-sizing: border-box;
    padding: 10px 13px;
  }
  
  .form-btn {
    padding: 10px 15px;
    border-radius: 9px;
    border: 0 !important;
    outline: 0 !important;
    background-color: var(--cor-terciaria);
    color: white;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  }
  
  .form-btn:active {
    box-shadow: none;
  }

  #carousel {
    display: flex;
    overflow: hidden;
    white-space: nowrap;
    background-color: #E9AC22;
    padding: 1rem 0;
    position: relative;
}

#carousel .carousel-content {
    display: flex;
    gap: 2rem;
    animation: slide 25s linear infinite;
    min-width: max-content;
}

/* Duplicando os itens para criar o efeito de loop contínuo */
#carousel .carousel-content::after {
    content: attr(data-clone);
    display: flex;
}

/* Estilização dos itens */
#carousel p {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    margin: 0;
    color: var(--cor-fonte-primaria);
    font-size: 1rem;
    font-weight: bold;
    padding: 0 1rem;
}

#carousel img {
    width: 30px;
    height: 30px;
}

/* Animação infinita */
@keyframes slide {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}


  @media (min-width: 320px) and (max-width: 579px) {
   
    #form-section{
        flex-direction: column;
        padding: 0;
        background-image: url("img/bannerMb.svg");
    }

    #logo{
        margin-top: 1rem;
        width: 50%;
    }

    #veiculosform{
        width: 100%;
    }

    .form-container{
        width: 290px;
        padding: 10px 20px;
    }
    
    #main-text{
        width: 100%;
        padding: 2rem;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    #main-form{
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 2rem;
    }
}

@media (min-width: 579px) and (max-width: 769px){
    #form-section{
        flex-direction: column;
        padding: 0;
        background-image: url("img/formImgMobile.svg");
    }

    #logo{
        margin-top: 1rem;
        width: 20%;
    }

    #veiculosform{
        width: 60%;
    }

    .form-container{
        width: 490px;
        padding: 10px 20px;
    }
    
    #main-text{
        width: 100%;
        padding: 2rem;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    #main-form{
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 2rem;
    }
}

/* fim main section  */


/* section cards */

#orange-cards{
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 2rem;
}

#orange-cards h2{
    margin: 0;
    width: 60%;
    color: var(--cor-secundaria);
    font-weight: 600;
}

#orange-cards strong{
   color: var(--cor-terciaria);
}

#container-cards-bnft {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 colunas */
    grid-template-rows: repeat(2, auto); /* 2 linhas */
    gap: 1rem; 
    justify-content: center;
    align-items: center;
    padding: 2rem;
    max-width: 900px; 
    margin: auto; 
}

.cards-bnfts {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border: 1px solid #FF6E00;
    background: var(--cor-terciaria);
    padding: 1.5rem;
    border-radius: 10px;
    min-height: 180px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.cards-bnfts img {
    width: 50px;
    height: 50px;
    margin-bottom: 0.5rem;
}

.cards-bnfts p {
    margin: 0;
    font-size: 1rem;
    color: var(--cor-fonte-primaria);
}

@media (min-width: 320px) and (max-width: 579px) {

    #orange-cards h2{
        margin: 0;
        width: 100%;
        color: var(--cor-secundaria);
        font-weight: 600;
    }
   
    #container-cards-bnft {
        grid-template-columns: repeat(1, 1fr); /* 3 colunas */
        padding: 1rem;
    }
}

@media (min-width: 579px) and (max-width: 769px){

}

/* influencers */

#influencerslp{
    display: flex;
    justify-content: center;
    gap: 3rem;
    align-items: center;
    width: 100%;
    padding: 2rem;

}

#influencers-text{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 35%;
}

#influencers-text h2{
    color: #23408A;
    font-weight: 600;
}

.influencers-card{
    display: flex;
    align-items: center;
    border-radius: 22px;
    
    padding: 1rem;
    gap: 1rem;
    background-color: #23408A;
}

.influencers-card p {
    margin: 0;
    color: var(--cor-fonte-primaria);
}

.influencers-img {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
}

.influencers-img img{
    max-width: 400px;
}

.influencers-btn {
    width: 60%;
    padding: 10px 15px;
    border-radius: 44px;
    font-weight: 600;
    border: 0 !important;
    outline: 0 !important;
    background-color: var(--cor-terciaria);
    color: white;
    cursor: pointer;
    box-shadow: 0px 0px 29.8px 0px rgba(255, 110, 0, 0.81);
  }

  

  #mb-version{
    display: none;
  }


  @media (min-width: 320px) and (max-width: 579px) {

    #influencerslp{
        flex-direction: column;

    }

    #influencers-text{
        width: 100%;
    }
    .influencers-btn{
        width: 100%;
    }

    .influencers-img img{
        max-width: 300px;
    }

    #desktop{
        display: none;
    }

    #mb-version{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        margin: 0;
      }
}

@media (min-width: 579px) and (max-width: 769px){
    #influencerslp{
        flex-direction: column;

    }

    #influencers-text{
        width: 100%;
    }
    .influencers-btn{
        width: 100%;
    }

    .influencers-img img{
        max-width: 300px;
    }
}

/* fim influencers section */

/* benefits section */

#benefitslp{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-top: 4rem;
    padding: 2rem;     
}


.comparative-table {
    width: 50%;
    border-collapse: collapse;
    text-align: left;
    font-family: Arial, sans-serif;
}

.comparative-table th {
    background-color: #0C2669;
    color: white;
    padding: 0.5rem;
}

#lf{
    border-top-left-radius: 22px;
}

#rg{
    border-top-right-radius: 22px;
}

 
.comparative-table td {
    padding: 15px;
    background-color: #23408A;
    color: var(--cor-fonte-primaria);
    font-weight: 500;
}

.comparative-table th {
    font-size: 16px;
    text-align: center;
}

.comparative-table thead th span {
    font-size: 12px;
    font-weight: normal;
    display: block;
}



.comparative-table img {
    width: 16px;
    height: 16px;
    margin-right: 5px;
    vertical-align: middle;
}

.benefits-btn {
    width: 20%;
    padding: 10px 15px;
    border-radius: 44px;
    font-weight: 600;
    border: 0 !important;
    outline: 0 !important;
    background-color: var(--cor-terciaria);
    color: white;
    cursor: pointer;
    box-shadow: 0px 0px 29.8px 0px rgba(255, 110, 0, 0.81);
    margin-top: 2rem;
  }

 

@media (min-width: 320px) and (max-width: 579px) {
    #benefitslp{
        display: none;
    }

}

@media (min-width: 579px) and (max-width: 769px){
    .comparative-table {
        width: 90%;
    }
}
/* fim benefits section */

/* historias */

#historias{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    width: 100%;
    background-image: url("img/cidade.svg");
    background-size: cover;
    padding: 2rem;
    gap: 2rem;
}

.text-historias{
    padding: 2rem;
    padding-bottom: 0;
}

.text-historias h2{
    color: #FF6E00;
    font-weight: 700;
}

.text-historias p{
    color: #373737;
    font-weight: 700;
}

.container-cards-historias{
    display: flex;
    justify-content: center;
    gap: 2rem;
    padding: 4rem;
    width: 100%;
}


.card-historias iframe{
    width: 300px;
    height: 600px;
    border-radius: 12px;
}


.swiper-container {
    width: 100%;
    max-width: 400px; /* Ajusta para caber os 3 vídeos */
    margin: auto;
    position: relative;
}

.swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.swiper-slide iframe {
    width: 280px;
    height: 480px;
    border-radius: 15px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    opacity: 0.8;
}

/* Slide central ganha destaque */
.swiper-slide-active iframe {
    transform: scale(1.1);
    opacity: 1;
}

/* Slides laterais um pouco menores */
.swiper-slide-next iframe, 
.swiper-slide-prev iframe {
    transform: scale(0.9);
    opacity: 0.3;
}

/* Ajuste para que os slides laterais não desapareçam */
.swiper-slide {
    min-width: 300px !important;
}

/* Estiliza as setas */
.swiper-button-prev,
.swiper-button-next {
    color: #FF6E00 !important;
    /* background: #FF6E00; */
    /* width: 60px !important;
    height: 60px !important;
    padding: 0.5rem !important; */
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
}

/* Posição das setas */
.swiper-button-prev {
    left: -400px !important;
}

.swiper-button-next {
    right: -400px !important;

  }


@media (max-width: 1024px) { /* Ajustes para tablet */
    .swiper-container {
        max-width: 500px;
    }

    .swiper-slide iframe {
        width: 100%;
        height: 400px;
    }

    .swiper-button-prev {
        left: -40px !important;
    }

    .swiper-button-next {
        right: -40px !important;
    }
}

@media (max-width: 768px) {

    .container-cards-historias{
        padding: 0;
    }

    #historias{
        padding: 0;
    }

    .swiper-container {
        width: 100%;
        height: auto !important;
        overflow: hidden !important;
    }

    .swiper-wrapper {
        display: flex;
        align-items: center;
        height: auto !important;
    }

    .swiper-slide {
        min-width: 100% !important; /* Apenas um slide ocupa toda a largura */
        height: auto !important;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-bottom: 2rem;
    }

    .swiper-slide iframe {
        width: 75%; /* Maior preenchimento na tela */
        height: 360px;
        max-width: 400px;
        opacity: 1 !important;
        transform: scale(1) !important;
    }

    /* Ajuste nas setas */
    .swiper-button-prev, .swiper-button-next {
        top: 50%;
        transform: translateY(-50%);
        width: 30px !important;
        height: 30px !important;
    }

    .swiper-button-prev {
        left: -1px !important;
    }

    .swiper-button-next {
        right: 0px !important;
    }
}
  

/* fim historias */

/* app */
#app{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    height: 700px;
    background-image: url("img/bannerApp.svg");
    padding: 2rem;
    padding-bottom: 0;
    gap: 4rem;
}  

.float-card{
    display: flex;
    align-items: center;
    background-color: #23408A;
    width: 60%;
    height: 90px;
    position: absolute;
    top: -40px;
    border-radius: 22px;
    padding: 2rem;
}

#balao-float{
    width: 3.5rem;
}

.content-float-card{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.content-float-card p{
    color: #fff;
}

.float-btn {
    width: 25%;
    padding: 10px 15px;
    border-radius: 44px;
    font-weight: 600;
    border: 0 !important;
    outline: 0 !important;
    background-color: var(--cor-terciaria);
    color: white;
    cursor: pointer;
    box-shadow: 0px 0px 29.8px 0px rgba(255, 110, 0, 0.81);
  }

.content-float-card p{
    width: 65%;
    margin: 0;
}

.vertical-bar {
    width: 2px; /* Largura da barra */
    height: 60px; /* Altura da barra */
    background-color: #345ABA; /* Cor da barra */
    margin: 0 1rem; /* Espaço ao redor da barra */
    border-radius: 22px;

}

#mockup {
    width: 25rem;
    align-self: flex-end; /* Alinha o mockup ao fundo */
}

#app-text{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 30%;
    color: var(--cor-fonte-primaria);
}

#app-text h2{
    font-weight: 700;
}

#fk-btn{
    display: flex;
    justify-content: center;
    padding: 0.5rem;
    border-radius: 20px;
    width: 10rem;
    background-color: #fff;
    color: #FF6E00;
    font-weight: 700;
}

#img-app-text{
    display: flex;
    gap: 2rem;
}

#img-app-text img{
    width: 220px;
}


@media (min-width: 320px) and (max-width: 579px) {
    #app{
        display: none;
    }

}

@media (min-width: 579px) and (max-width: 769px){
    #app{
        display: none;
    }
}

/* fim apps */

/* perguntas */

#perguntas{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    padding: 4rem;
    
}


#perguntas img{
    width: 30rem;
}

.perguntas-text{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 40%;
}

#fk-btn2{
    display: flex;
    justify-content: center;
    padding: 0.5rem;
    border-radius: 20px;
    width: 10rem;
    background-color: #23408A;
    color: #fff;
    font-weight: 700;
}

.perguntas-text p{
    margin: 0;
}

.perguntas-text h2{
    color: #FF6E00;
    font-weight: 700;
    margin: 0;
}

.accordion .card {
    border: none;
    border-bottom: 1px solid #ddd; 
    border-radius: 0; 
}

.card-header{
    background-color: transparent;
}

.card-header button{
    font-weight: 700;
    color: #373737;
    text-decoration: none;
}

.btn-link {
    text-decoration: none !important;
    color: inherit; /* Mantém a cor do texto padrão */
}
.btn-link:hover {
    color: #373737;
}

@media (min-width: 320px) and (max-width: 579px) {
    #wg{
        display: none;
    }

    #perguntas{
        padding: 2rem;
        
    }

    .perguntas-text{
        width: 100%;
    }

    .card-body{
        color: #0C2669;
    }

    .btn-link {
        font-size: 16px;
        text-align: left;
        white-space: normal; /* Permite quebras de linha */
      }


}

/* fim preguntas */

/* footer */

footer{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    padding: 1rem;
    background-color: #0C2669;
    color: #fff;
}

footer p{
    margin: 0;
    color: #fff;
    font-weight: 400;
}

footer img{
    width: 10rem;
}


@media (min-width: 320px) and (max-width: 579px) {
    footer{
        flex-direction: column;
        text-align: center;
    }
}

@media (min-width: 579px) and (max-width: 769px){
    #app{
        display: none;
    }
}
/* footer */